aboutsummaryrefslogtreecommitdiffstats
path: root/safe_asterisk
diff options
context:
space:
mode:
authormarkster <markster@f38db490-d61c-443f-a65b-d21fe96a405b>2004-01-12 03:15:34 +0000
committermarkster <markster@f38db490-d61c-443f-a65b-d21fe96a405b>2004-01-12 03:15:34 +0000
commit4b8ae64d89340b79b794a7fc637d54280b8848e8 (patch)
treea74886d58aff3e96df8e14dfc1a935e7571a4e97 /safe_asterisk
parent6693b33ccf2aaeb89d606dff2685d364055d024f (diff)
Move more scripts
git-svn-id: http://svn.digium.com/svn/asterisk/trunk@1966 f38db490-d61c-443f-a65b-d21fe96a405b
Diffstat (limited to 'safe_asterisk')
-rwxr-xr-xsafe_asterisk77
1 files changed, 0 insertions, 77 deletions
diff --git a/safe_asterisk b/safe_asterisk
deleted file mode 100755
index 326c6e0aa..000000000
--- a/safe_asterisk
+++ /dev/null
@@ -1,77 +0,0 @@
-#!/bin/sh
-TTY=9 # TTY (if you want one) for Asterisk to run on
-CONSOLE=yes # Whether or not you want a console
-#NOTIFY=ben@alkaloid.net # Who to notify about crashes
-DUMPDROP=/tmp
-#
-# Don't fork when running "safely"
-#
-ASTARGS=""
-if [ "$TTY" != "" ]; then
- if [ -c /dev/tty${TTY} ]; then
- TTY=tty${TTY}
- elif [ -c /dev/vc/${TTY} ]; then
- TTY=vc/${TTY}
- else
- echo "Cannot find your TTY (${TTY})" >&2
- exit 1
- fi
- ASTARGS="${ASTARGS} -vvvg"
- if [ "$CONSOLE" != "no" ]; then
- ASTARGS="${ASTARGS} -c"
- fi
-fi
-if [ ! -w ${DUMPDROP} ]; then
- echo "Cannot write to ${DUMPDROP}" >&2
- exit 1
-fi
-
-#
-# Let Asterisk dump core
-#
-ulimit -c unlimited
-
-#launch_asterisk()
-#{
-#}
-
-run_asterisk()
-{
- while :; do
-
- if [ "$TTY" != "" ]; then
- cd /tmp
- stty sane < /dev/${TTY}
- asterisk ${ASTARGS} >& /dev/${TTY} < /dev/${TTY}
- else
- cd /tmp
- asterisk ${ASTARGS}
- fi
- EXITSTATUS=$?
- echo "Asterisk ended with exit status $EXITSTATUS"
- if [ "$EXITSTATUS" = "0" ]; then
- # Properly shutdown....
- echo "Asterisk shutdown normally."
- exit 0
- elif [ $EXITSTATUS -gt 128 ]; then
- let EXITSIGNAL=EXITSTATUS-128
- echo "Asterisk exited on signal $EXITSIGNAL."
- if [ "$NOTIFY" != "" ]; then
- echo "Asterisk exited on signal $EXITSIGNAL. Might want to take a peek." | \
- mail -s "Asterisk Died" $NOTIFY
- fi
- if [ -f /tmp/core ]; then
- mv /tmp/core ${DUMPDROP}/core.`hostname`-`date -Iseconds` &
- fi
- else
- echo "Asterisk died with code $EXITSTATUS. Aborting."
- if [ -f /tmp/core ]; then
- mv /tmp/core ${DUMPDROP}/core.`hostname`-`date -Iseconds` &
- fi
- exit 0
- fi
- echo "Automatically restarting Asterisk."
- done
-}
-
-run_asterisk &